Remove the ast-ksh port.

Restrictive, inscrutable license; weird build system; code doesn't inspire
confidence; mostly broken.
ok pvalchev@
This commit is contained in:
naddy 2004-03-08 22:16:40 +00:00
parent 67460d1bcb
commit 3bbea68106
9 changed files with 1 additions and 228 deletions

View File

@ -1,9 +1,7 @@
# $OpenBSD: Makefile,v 1.12 2003/08/22 16:38:12 naddy Exp $
# $OpenBSD: Makefile,v 1.13 2004/03/08 22:16:40 naddy Exp $
# $FreeBSD: Makefile,v 1.13 1997/01/03 00:40:55 max Exp $
#
SUBDIR += ast-ksh
SUBDIR += ast-ksh,static
SUBDIR += bash2
SUBDIR += bash2,static
SUBDIR += es

View File

@ -1,49 +0,0 @@
# $OpenBSD: Makefile,v 1.21 2003/08/25 16:11:10 naddy Exp $
BROKEN= "fails to build or run"
COMMENT= "official AT&T release of KornShell 93"
PKGNAME= ast-ksh-${VERSION:S/-//g}
VERSION= 2003-07-24
CATEGORIES= shells
HOMEPAGE= http://www.kornshell.com/
MAINTAINER= Christian Weisgerber <naddy@openbsd.org>
PERMIT_PACKAGE_CDROM= "inscrutable license"
PERMIT_PACKAGE_FTP= "inscrutable license"
PERMIT_DISTFILES_CDROM= "inscrutable license"
PERMIT_DISTFILES_FTP= "inscrutable license"
MASTER_SITES= http://www.research.att.com/~gsf/download/tgz/
DISTFILES= INIT.${VERSION}.tgz ast-ksh.${VERSION}.tgz
FLAVORS= static
FLAVOR?=
MAKE_ENV= CC="${CC}" CCFLAGS="${CFLAGS}" SHELL="/bin/sh"
.if ${FLAVOR:L:Mstatic}
MAKE_ENV+= LDFLAGS=-static
.endif
WRKDIST= ${WRKDIR}
INSTALLROOT= ${WRKBUILD}/arch/openbsd.${MACHINE_ARCH}
do-build:
cd ${WRKBUILD} && env -i ${MAKE_ENV} /bin/sh bin/package make
do-regress:
cd ${WRKSRC}/src/cmd/ksh93/tests && \
SHELL=${INSTALLROOT}/bin/ksh ${INSTALLROOT}/bin/ksh shtests
do-install:
${INSTALL_PROGRAM} ${INSTALLROOT}/bin/ksh ${PREFIX}/bin/ksh93
${INSTALL_MAN} ${INSTALLROOT}/man/man1/sh.1 ${PREFIX}/man/man1/ksh93.1
${INSTALL_DATA_DIR} ${PREFIX}/share/examples/ast-ksh
.for fun in dirs popd
${INSTALL_SCRIPT} ${INSTALLROOT}/fun/${fun} \
${PREFIX}/share/examples/ast-ksh/
.endfor
.include <bsd.port.mk>

View File

@ -1,6 +0,0 @@
MD5 (INIT.2003-07-24.tgz) = aabd19505eba0ac65a4ff450ab7a935b
MD5 (ast-ksh.2003-07-24.tgz) = e8c764fb40c8720c105448da406b5e9b
RMD160 (INIT.2003-07-24.tgz) = 27a6713f239632dbc35dacd1c41c050141fdc14a
RMD160 (ast-ksh.2003-07-24.tgz) = 6ed4f9dbfaf0d57b785029c98c2b4a163c9d782e
SHA1 (INIT.2003-07-24.tgz) = 92946d1b522345b6c8ac25cb11e4b621a95a9150
SHA1 (ast-ksh.2003-07-24.tgz) = 08d80d4ecb02a005886bbe0adb67c7e7f53be70c

View File

@ -1,25 +0,0 @@
$OpenBSD: patch-bin_package,v 1.5 2003/05/01 20:50:59 naddy Exp $
--- bin/package.orig Wed Apr 23 10:17:04 2003
+++ bin/package Thu May 1 22:28:17 2003
@@ -11,7 +11,7 @@ command=package
src="cmd contrib etc lib"
use="/home /usr/common /exp /usr/local /usr/add-on /usr/addon /usr/tools /usr /opt"
-lib="/usr/local/lib /usr/local/shlib"
+lib=""
ccs="/usr/kvm /usr/ccs/bin"
org="gnu GNU"
makefiles="Mamfile Nmakefile nmakefile Makefile makefile"
@@ -2592,9 +2592,9 @@ cat $j $k
for i in ksh sh bash
do if onpath $i
then case `$_onpath_ -c 'echo $KSH_VERSION'` in
- *[Pp][Dd]*)
- : pd ksh is unreliable
- ;;
+# *[Pp][Dd]*)
+# : pd ksh is unreliable
+# ;;
*) SHELL=$_onpath_
break
;;

View File

@ -1,25 +0,0 @@
$OpenBSD: patch-src_cmd_ksh93_sh_1,v 1.3 2003/05/01 20:50:59 naddy Exp $
--- src/cmd/ksh93/sh.1.orig Tue Oct 16 20:50:52 2001
+++ src/cmd/ksh93/sh.1 Tue Apr 2 05:05:55 2002
@@ -4,7 +4,7 @@
.\"
.\" @(#)sh.1 (research!dgk) 12/28/93
.\"
-.nr Z 0 \" set to 1 when command name is ksh rather than sh
+.nr Z 1 \" set to 1 when command name is ksh rather than sh
.nr Y 0 \" set to 1 for R&D UNIX
.if \nY=1 .nr Z 1
.ds OK [\|
@@ -12,10 +12,10 @@
.ds ' \s+4\v@.3m@\'\v@-.3m@\s-4
.ds ` \s+4\v@.3m@\`\v@-.3m@\s-4
.if \nZ=0 .TH SH 1
-.if \nZ=1 .TH KSH 1 "User Environment Utilities" "RDS Standard"
+.TH KSH 1 "User Environment Utilities" "RDS Standard"
.SH NAME
.if \nZ=0 sh, rsh, pfsh \- shell, the
-.if \nZ=1 ksh, rksh, pfksh \- KornShell, a
+ksh, rksh, pfksh \- KornShell, a
standard/restricted command and programming language
.SH SYNOPSIS
.if \nZ=0 .B sh

View File

@ -1,48 +0,0 @@
#!/bin/sh
# $OpenBSD: DEINSTALL,v 1.1.1.1 2001/07/12 19:17:24 naddy Exp $
#
# ksh93 de-installation
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
# Function: tell the user what they need to do to delete the port completely
#
do_notice()
{
echo
echo "+---------------"
echo "| To completely deinstall the $1 package you need to edit"
echo "| /etc/shells and remove this line:"
echo "|"
echo "| $PREFIX/bin/ksh93"
echo "|"
echo "+---------------"
echo
}
# Verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname DEINSTALL" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
DEINSTALL)
if grep -q $PREFIX/bin/ksh93 /etc/shells; then
do_notice "$1"
fi
;;
*)
echo "usage: $0 distname DEINSTALL" >&2
exit 1
;;
esac
exit 0

View File

@ -1,14 +0,0 @@
KSH-93 is the most recent version of the KornShell Language described
in "The KornShell Command and Programming Language," by Morris
Bolsky and David Korn of AT&T Bell Laboratories. The KornShell is
a shell programming language, which is upward compatible with "sh"
(the Bourne Shell), and is intended to conform to the IEEE P1003.2/ISO
9945.2 Shell and Utilities standard. KSH-93 provides an enhanced
programming environment in addition to the major command-entry
features of the BSD shell "csh". With KSH-93, medium-sized programming
tasks can be performed at shell-level without a significant loss
in performance. In addition, "sh" scripts can be run on KSH-93
without modification.
Flavors:
static - Build with statically linked binaries.

View File

@ -1,52 +0,0 @@
#!/bin/sh
# $OpenBSD: INSTALL,v 1.1.1.1 2001/07/12 19:17:24 naddy Exp $
#
# Pre/post-installation setup of ksh93
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
# Function: tell the user what s/he needs to do to use the port just installed
#
do_notice()
{
echo
echo "+---------------"
echo "| For proper use of $1 you should notify the system"
echo "| that $PREFIX/bin/ksh93 is a valid shell by adding it to the"
echo "| the file /etc/shells. If you are unfamiliar with this file"
echo "| consult the shells(5) manual page"
echo "+---------------"
echo
}
# verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
if grep -q $PREFIX/bin/ksh93 /etc/shells; then
:
else
do_notice $1
fi
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0

View File

@ -1,6 +0,0 @@
@comment $OpenBSD: PLIST,v 1.2 2002/07/22 15:17:14 naddy Exp $
bin/ksh93
man/man1/ksh93.1
share/examples/ast-ksh/dirs
share/examples/ast-ksh/popd
@dirrm share/examples/ast-ksh